summaryrefslogtreecommitdiffstats
path: root/contrib/netbsd-tests/dev/fss/t_fss.sh
diff options
context:
space:
mode:
authorngie <ngie@FreeBSD.org>2016-12-03 02:47:16 +0000
committerngie <ngie@FreeBSD.org>2016-12-03 02:47:16 +0000
commit29db3b90328498474388e9cfb2c8ef6d816c05c2 (patch)
tree91ac81530a80d5ea64a24212d143cb2012f49a0a /contrib/netbsd-tests/dev/fss/t_fss.sh
parent8408238ce58163c0d88dea333c155b6806aae830 (diff)
downloadFreeBSD-src-29db3b90328498474388e9cfb2c8ef6d816c05c2.zip
FreeBSD-src-29db3b90328498474388e9cfb2c8ef6d816c05c2.tar.gz
MFC r305358:
Update contrib/netbsd-tests with new content from NetBSD This updates the snapshot from 09/30/2014 to 08/11/2016 This brings in a number of new testcases from upstream, most notably: - bin/cat - lib/libc - lib/msun - lib/libthr - usr.bin/sort lib/libc/tests/stdio/open_memstream_test.c was moved to lib/libc/tests/stdio/open_memstream2_test.c to accomodate the new open_memstream test from NetBSD. Tested on: amd64 (VMware fusion VM; various bare metal platforms); i386 (VMware fusion VM); make tinderbox
Diffstat (limited to 'contrib/netbsd-tests/dev/fss/t_fss.sh')
-rwxr-xr-xcontrib/netbsd-tests/dev/fss/t_fss.sh84
1 files changed, 84 insertions, 0 deletions
diff --git a/contrib/netbsd-tests/dev/fss/t_fss.sh b/contrib/netbsd-tests/dev/fss/t_fss.sh
new file mode 100755
index 0000000..cb3341f
--- /dev/null
+++ b/contrib/netbsd-tests/dev/fss/t_fss.sh
@@ -0,0 +1,84 @@
+# $NetBSD: t_fss.sh,v 1.2 2016/07/29 20:27:37 pgoyette Exp $
+#
+# Copyright (c) 2006, 2007, 2008 The NetBSD Foundation, Inc.
+# All rights reserved.
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+#
+# Verify basic operation of fss(4) file system snapshot device
+#
+
+orig_data="Original data"
+repl_data="Replacement data"
+
+atf_test_case basic cleanup
+basic_body() {
+
+# create of mount-points for the file system and snapshot
+
+ mkdir ./m1
+ mkdir ./m2
+
+# create a small 4MB file, treat it as a disk, init a file-system on it,
+# and mount it
+
+ dd if=/dev/zero of=./image bs=32k count=64
+ vndconfig -c vnd0 ./image
+ newfs /dev/vnd0a
+ mount /dev/vnd0a ./m1
+
+ echo "${orig_data}" > ./m1/text
+
+# configure and mount a snapshot of the file system
+
+ fssconfig -c fss0 ./m1 ./backup
+ mount -o rdonly /dev/fss0 ./m2
+
+# Modify the data on the underlying file system
+
+ echo "${repl_data}" > ./m1/text || abort
+
+# Verify that original data is still visible in the snapshot
+
+ read test_data < ./m2/text
+ atf_check_equal "${orig_data}" "${test_data}"
+
+# Unmount our temporary stuff
+
+ umount /dev/fss0 || true
+ fssconfig -u fss0 || true
+ umount /dev/vnd0a || true
+ vndconfig -u vnd0 || true
+}
+
+basic_cleanup() {
+ umount /dev/vnd0a || true
+ fssconfig -u fss0 || true
+ umount /dev/fss0 || true
+ vndconfig -u vnd0 || true
+}
+
+atf_init_test_cases()
+{
+ atf_add_test_case basic
+}
OpenPOWER on IntegriCloud